[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

xorg-server: Changes to 'debian-experimental'



 configure             |   28 +++++++++++------------
 configure.ac          |    2 -
 debian/changelog      |    6 +++--
 debian/control        |   60 +++++++++++++++++++++++++-------------------------
 debian/rules          |   44 ++++++++++++++++++------------------
 fb/Makefile.in        |   26 ++-------------------
 hw/xprint/Makefile.am |    6 ++---
 hw/xprint/Makefile.in |   11 +++++----
 randr/Makefile.in     |   29 ++++++++++--------------
 9 files changed, 95 insertions(+), 117 deletions(-)

New commits:
commit eec1e53812bd23ceb0f2b29ce2a1ec8123ea6956
Author: Drew Parsons <drew@pug.localdomain>
Date:   Wed May 30 02:52:56 2007 +1000

    Restore xprint packaging.
    
    autoreconf following fix of Xprt build

diff --git a/configure b/configure
index fdb4556..9766982 100755
--- a/configure
+++ b/configure
@@ -22898,8 +22898,8 @@ rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 	{ echo "$as_me:$LINENO: result: $SYS_ENDIAN__SWAP" >&5
 echo "${ECHO_T}$SYS_ENDIAN__SWAP" >&6; }
 
-	{ echo "$as_me:$LINENO: checking for bswap_16 variant of <sys/endian.h> byteswapping macros" >&5
-echo $ECHO_N "checking for bswap_16 variant of <sys/endian.h> byteswapping macros... $ECHO_C" >&6; }
+	{ echo "$as_me:$LINENO: checking for bswap16 variant of <sys/endian.h> byteswapping macros" >&5
+echo $ECHO_N "checking for bswap16 variant of <sys/endian.h> byteswapping macros... $ECHO_C" >&6; }
 	cat >conftest.$ac_ext <<_ACEOF
 /* confdefs.h.  */
 _ACEOF
@@ -22914,7 +22914,7 @@ main ()
 {
 
 int a = 1, b;
-b = bswap_16(a);
+b = bswap16(a);
 
   ;
   return 0;
@@ -22954,7 +22954,7 @@ echo "${ECHO_T}$SYS_ENDIAN_BSWAP" >&6; }
 
     	if test "$SYS_ENDIAN_BSWAP" = "yes" ; then
 		USE_SYS_ENDIAN_H=yes
-		BSWAP=bswap_
+		BSWAP=bswap
 	else
 	    	if test "$SYS_ENDIAN__SWAP" = "yes" ; then
 			USE_SYS_ENDIAN_H=yes
@@ -33514,12 +33514,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_XPRINT_CFLAGS="$XPRINT_CFLAGS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"printproto x11 xfont \$XDMCP_MODULES xau\"") >&5
-  ($PKG_CONFIG --exists --print-errors "printproto x11 xfont $XDMCP_MODULES xau") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"printproto x11 xfont \$XDMCP_MODULES xau \$PIXMAN\"") >&5
+  ($PKG_CONFIG --exists --print-errors "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_XPRINT_CFLAGS=`$PKG_CONFIG --cflags "printproto x11 xfont $XDMCP_MODULES xau" 2>/dev/null`
+  pkg_cv_XPRINT_CFLAGS=`$PKG_CONFIG --cflags "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -33532,12 +33532,12 @@ if test -n "$PKG_CONFIG"; then
         pkg_cv_XPRINT_LIBS="$XPRINT_LIBS"
     else
         if test -n "$PKG_CONFIG" && \
-    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"printproto x11 xfont \$XDMCP_MODULES xau\"") >&5
-  ($PKG_CONFIG --exists --print-errors "printproto x11 xfont $XDMCP_MODULES xau") 2>&5
+    { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"printproto x11 xfont \$XDMCP_MODULES xau \$PIXMAN\"") >&5
+  ($PKG_CONFIG --exists --print-errors "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN") 2>&5
   ac_status=$?
   echo "$as_me:$LINENO: \$? = $ac_status" >&5
   (exit $ac_status); }; then
-  pkg_cv_XPRINT_LIBS=`$PKG_CONFIG --libs "printproto x11 xfont $XDMCP_MODULES xau" 2>/dev/null`
+  pkg_cv_XPRINT_LIBS=`$PKG_CONFIG --libs "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN" 2>/dev/null`
 else
   pkg_failed=yes
 fi
@@ -33556,14 +33556,14 @@ else
         _pkg_short_errors_supported=no
 fi
         if test $_pkg_short_errors_supported = yes; then
-	        XPRINT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "printproto x11 xfont $XDMCP_MODULES xau"`
+	        XPRINT_PKG_ERRORS=`$PKG_CONFIG --short-errors --errors-to-stdout --print-errors "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN"`
         else
-	        XPRINT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "printproto x11 xfont $XDMCP_MODULES xau"`
+	        XPRINT_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "printproto x11 xfont $XDMCP_MODULES xau $PIXMAN"`
         fi
 	# Put the nasty error message in config.log where it belongs
 	echo "$XPRINT_PKG_ERRORS" >&5
 
-	{ { echo "$as_me:$LINENO: error: Package requirements (printproto x11 xfont $XDMCP_MODULES xau) were not met:
+	{ { echo "$as_me:$LINENO: error: Package requirements (printproto x11 xfont $XDMCP_MODULES xau $PIXMAN) were not met:
 
 $XPRINT_PKG_ERRORS
 
@@ -33574,7 +33574,7 @@ Alternatively, you may set the environment variables XPRINT_CFLAGS
 and XPRINT_LIBS to avoid the need to call pkg-config.
 See the pkg-config man page for more details.
 " >&5
-echo "$as_me: error: Package requirements (printproto x11 xfont $XDMCP_MODULES xau) were not met:
+echo "$as_me: error: Package requirements (printproto x11 xfont $XDMCP_MODULES xau $PIXMAN) were not met:
 
 $XPRINT_PKG_ERRORS
 
diff --git a/debian/changelog b/debian/changelog
index b6ebf5e..799d07a 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -25,7 +25,6 @@ xorg-server (2:1.3.99.0~git20070528-1) UNRELEASED; urgency=low
     + Bump serverminver to this version, videoabiver to 1.9, inputabiver to
       0.9 (so this doesn't clash with a release and drivers have to be
       rebuilt).
-  * Disable xprint for now, it fails to build.
 
   [ David Nusinow ]
   * Remove patches that were pushed upstream
@@ -37,7 +36,10 @@ xorg-server (2:1.3.99.0~git20070528-1) UNRELEASED; urgency=low
     + 16_s390_fix.diff
     + 23_kfreebsd_support.diff
 
- -- David Nusinow <dnusinow@debian.org>  Mon, 28 May 2007 22:09:07 -0400
+  [ Drew Parsons ]
+  * Update Xprint build to include pixman.
+
+ -- Drew Parsons <dparsons@debian.org>  Wed, 30 May 2007 02:13:49 +1000
 
 xorg-server (2:1.3.0.0.dfsg-5) unstable; urgency=low
 
diff --git a/debian/control b/debian/control
index 12cd5c4..8e9618a 100644
--- a/debian/control
+++ b/debian/control
@@ -175,36 +175,36 @@ Description: Next Generation Nested X Server
  result it supports newer extensions than xnest, including render and
  composite.
 
-#Package: xprint
-#Architecture: any
-#Depends: ${shlibs:Depends}, ${misc:Depends}, xprint-common, libxfont1 (>= 1:1.1)
-#Recommends: xprint-utils
-#Conflicts: xprt (<= 4.3.0.dfsg.1-10)
-#Description: Xprint - the X11 print system (binary)
-# Xprint is an advanced printing system which enables X11 applications
-# to use devices like printers, FAX or create documents in formats like
-# PostScript, PDF, PCL, etc.
-# .
-# This package provides Xprt, the Xprint server compiled from
-# xprint.mozdev.org, an X.org subproject.  Xprint provides superior support
-# for printing from mozilla, including non-latin characters and MathML.
-# TrueType fonts are supported.
-# .
-# Xprint uses ttf2pt1 internally for some font support.
-#
-#Package: xprint-common
-#Architecture: all
-#Depends: xbase-clients, xfonts-encodings, x11-common (>= 1:7.0.12), ${shlibs:Depends}, ${misc:Depends}
-#Recommends: xprint, xfonts-base
-#Conflicts: xprt-common
-#Replaces: xprt-common
-#Description: Xprint - the X11 print system (configuration files)
-# Xprint is an advanced printing system which enables X11 applications
-# to use devices like printers, FAX or create documents in formats like
-# PostScript, PDF, PCL, etc.
-# .
-# This package provides the configuration and postscript definition files
-# required to run Xprt, the Xprint server. Xprt is provided by xprint.
+Package: xprint
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, xprint-common, libxfont1 (>= 1:1.1)
+Recommends: xprint-utils
+Conflicts: xprt (<= 4.3.0.dfsg.1-10)
+Description: Xprint - the X11 print system (binary)
+ Xprint is an advanced printing system which enables X11 applications
+ to use devices like printers, FAX or create documents in formats like
+ PostScript, PDF, PCL, etc.
+ .
+ This package provides Xprt, the Xprint server compiled from
+ xprint.mozdev.org, an X.org subproject.  Xprint provides superior support
+ for printing from mozilla, including non-latin characters and MathML.
+ TrueType fonts are supported.
+ .
+ Xprint uses ttf2pt1 internally for some font support.
+
+Package: xprint-common
+Architecture: all
+Depends: xbase-clients, xfonts-encodings, x11-common (>= 1:7.0.12), ${shlibs:Depends}, ${misc:Depends}
+Recommends: xprint, xfonts-base
+Conflicts: xprt-common
+Replaces: xprt-common
+Description: Xprint - the X11 print system (configuration files)
+ Xprint is an advanced printing system which enables X11 applications
+ to use devices like printers, FAX or create documents in formats like
+ PostScript, PDF, PCL, etc.
+ .
+ This package provides the configuration and postscript definition files
+ required to run Xprt, the Xprint server. Xprt is provided by xprint.
 
 Package: xserver-xorg-core-dbg
 Architecture: any
diff --git a/debian/rules b/debian/rules
index f11a6d2..bbdc727 100755
--- a/debian/rules
+++ b/debian/rules
@@ -44,7 +44,7 @@ confflags += --disable-static \
 		 --enable-kdrive \
 		 --enable-xephyr \
 	     --disable-lbx \
-	     --disable-xprint \
+	     --enable-xprint \
 	     --enable-freetype \
 		 --disable-xorgconfig \
 		 --disable-xorgcfg \
@@ -140,7 +140,7 @@ binary-arch: build install
 	$(INSTALL) -m 755 debian/xserver-xorg-core.bug.script debian/xserver-xorg-core/usr/share/bug/xserver-xorg-core/script
 	dh_installdebconf -a
 	dh_installman -a
-#	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-overrides $(CURDIR)/debian/xprint/usr/share/lintian/overrides/xprint
+	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-overrides $(CURDIR)/debian/xprint/usr/share/lintian/overrides/xprint
 	# xprint docs are linked to xprint-common
 	rm -rf debian/xprint/usr/share/doc/xprint
 	
@@ -162,26 +162,26 @@ endif
 
 # Build architecture-independent files here (xprint-common)
 binary-indep: build install
-#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-initial
-#	dh_install -i --sourcedir=debian/tmp --list-missing -Xusr/share/man -Xusr/include/xorg -Xusr/share/aclocal -Xusr/lib/xorg/modules -Xusr/lib/pkgconfig/xorg-server.pc -Xusr/bin -XSecurityPolicy -Xvar/lib/xkb -Xusr/lib/X11/Cards -Xusr/lib/X11/Options
-#	
-#	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-common-overrides $(CURDIR)/debian/xprint-common/usr/share/lintian/overrides/xprint-common
-#	# split Xprint config files so font files do not land in /etc
-#	# (for xprint-common only)
-#	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/attributes debian/xprint-common/etc/Xprint/C/print/attributes
-#	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/Xprinters debian/xprint-common/etc/Xprint/C/print/Xprinters
-#	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/ddx-config debian/xprint-common/etc/Xprint/C/print/ddx-config
-#	mv debian/xprint-common/usr/share/Xprint/xserver/en_US/print/attributes debian/xprint-common/etc/Xprint/en_US/print/attributes
-#	# dh_install cannot rename files, sigh
-#	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-common.default $(CURDIR)/debian/xprint-common/etc/default/xprint
-#	dh_installinit -p xprint-common --name=xprint
-#	
-#	dh_installdocs -i
-#	dh_installchangelogs -i
-#	dh_installdebconf -i
-#	dh_link -i
-#	
-#	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-deb
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-initial
+	dh_install -i --sourcedir=debian/tmp --list-missing -Xusr/share/man -Xusr/include/xorg -Xusr/share/aclocal -Xusr/lib/xorg/modules -Xusr/lib/pkgconfig/xorg-server.pc -Xusr/bin -XSecurityPolicy -Xvar/lib/xkb -Xusr/lib/X11/Cards -Xusr/lib/X11/Options
+	
+	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-common-overrides $(CURDIR)/debian/xprint-common/usr/share/lintian/overrides/xprint-common
+	# split Xprint config files so font files do not land in /etc
+	# (for xprint-common only)
+	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/attributes debian/xprint-common/etc/Xprint/C/print/attributes
+	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/Xprinters debian/xprint-common/etc/Xprint/C/print/Xprinters
+	mv debian/xprint-common/usr/share/Xprint/xserver/C/print/ddx-config debian/xprint-common/etc/Xprint/C/print/ddx-config
+	mv debian/xprint-common/usr/share/Xprint/xserver/en_US/print/attributes debian/xprint-common/etc/Xprint/en_US/print/attributes
+	# dh_install cannot rename files, sigh
+	$(INSTALL) -m 644 $(CURDIR)/debian/xprint-common.default $(CURDIR)/debian/xprint-common/etc/default/xprint
+	dh_installinit -p xprint-common --name=xprint
+	
+	dh_installdocs -i
+	dh_installchangelogs -i
+	dh_installdebconf -i
+	dh_link -i
+	
+	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-deb
 
 
 binary: binary-indep binary-arch
diff --git a/fb/Makefile.in b/fb/Makefile.in
index 91dd050..05a05e7 100644
--- a/fb/Makefile.in
+++ b/fb/Makefile.in
@@ -68,8 +68,7 @@ am_libfb_la_OBJECTS = libfb_la-fb24_32.lo libfb_la-fballpriv.lo \
 	libfb_la-fbpush.lo libfb_la-fbscreen.lo libfb_la-fbseg.lo \
 	libfb_la-fbsetsp.lo libfb_la-fbsolid.lo libfb_la-fbstipple.lo \
 	libfb_la-fbtile.lo libfb_la-fbtrap.lo libfb_la-fbutil.lo \
-	libfb_la-fbwindow.lo libfb_la-fbpseudocolor.lo \
-	libfb_la-fbedge.lo
+	libfb_la-fbwindow.lo libfb_la-fbpseudocolor.lo
 libfb_la_OBJECTS = $(am_libfb_la_OBJECTS)
 libfbmmx_la_LIBADD =
 am_libfbmmx_la_OBJECTS = libfbmmx_la-fbmmx.lo
@@ -87,8 +86,7 @@ am__objects_1 = libwfb_la-fb24_32.lo libwfb_la-fballpriv.lo \
 	libwfb_la-fbscreen.lo libwfb_la-fbseg.lo libwfb_la-fbsetsp.lo \
 	libwfb_la-fbsolid.lo libwfb_la-fbstipple.lo \
 	libwfb_la-fbtile.lo libwfb_la-fbtrap.lo libwfb_la-fbutil.lo \
-	libwfb_la-fbwindow.lo libwfb_la-fbpseudocolor.lo \
-	libwfb_la-fbedge.lo
+	libwfb_la-fbwindow.lo libwfb_la-fbpseudocolor.lo
 am_libwfb_la_OBJECTS = $(am__objects_1)
 libwfb_la_OBJECTS = $(am_libwfb_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include
@@ -676,9 +674,7 @@ libfb_la_SOURCES = \
 	fbutil.c	\
 	fbwindow.c	\
 	fbpseudocolor.c \
-	fbpseudocolor.h \
-	fbedge.c	\
-	fbedgeimp.h
+	fbpseudocolor.h
 
 libwfb_la_SOURCES = $(libfb_la_SOURCES)
 libfb_la_LIBADD = libfbmmx.la
@@ -746,7 +742,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbbltone.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbbstore.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbcopy.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbedge.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbfill.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbfillrect.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libfb_la-fbfillsp.Plo@am__quote@
@@ -779,7 +774,6 @@ distclean-compile:
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbbltone.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbbstore.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbcopy.Plo@am__quote@
-@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbedge.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbfill.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbfillrect.Plo@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libwfb_la-fbfillsp.Plo@am__quote@
@@ -1042,13 +1036,6 @@ libfb_la-fbpseudocolor.lo: fbpseudocolor.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfb_la_CFLAGS) $(CFLAGS) -c -o libfb_la-fbpseudocolor.lo `test -f 'fbpseudocolor.c' || echo '$(srcdir)/'`fbpseudocolor.c
 
-libfb_la-fbedge.lo: fbedge.c
-@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfb_la_CFLAGS) $(CFLAGS) -MT libfb_la-fbedge.lo -MD -MP -MF "$(DEPDIR)/libfb_la-fbedge.Tpo" -c -o libfb_la-fbedge.lo `test -f 'fbedge.c' || echo '$(srcdir)/'`fbedge.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libfb_la-fbedge.Tpo" "$(DEPDIR)/libfb_la-fbedge.Plo"; else rm -f "$(DEPDIR)/libfb_la-fbedge.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='fbedge.c' object='libfb_la-fbedge.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfb_la_CFLAGS) $(CFLAGS) -c -o libfb_la-fbedge.lo `test -f 'fbedge.c' || echo '$(srcdir)/'`fbedge.c
-
 libfbmmx_la-fbmmx.lo: fbmmx.c
 @am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libfbmmx_la_CFLAGS) $(CFLAGS) -MT libfbmmx_la-fbmmx.lo -MD -MP -MF "$(DEPDIR)/libfbmmx_la-fbmmx.Tpo" -c -o libfbmmx_la-fbmmx.lo `test -f 'fbmmx.c' || echo '$(srcdir)/'`fbmmx.c; \
 @am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libfbmmx_la-fbmmx.Tpo" "$(DEPDIR)/libfbmmx_la-fbmmx.Plo"; else rm -f "$(DEPDIR)/libfbmmx_la-fbmmx.Tpo"; exit 1; fi
@@ -1273,13 +1260,6 @@ libwfb_la-fbpseudocolor.lo: fbpseudocolor.c
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwfb_la_CFLAGS) $(CFLAGS) -c -o libwfb_la-fbpseudocolor.lo `test -f 'fbpseudocolor.c' || echo '$(srcdir)/'`fbpseudocolor.c
 
-libwfb_la-fbedge.lo: fbedge.c
-@am__fastdepCC_TRUE@	if $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwfb_la_CFLAGS) $(CFLAGS) -MT libwfb_la-fbedge.lo -MD -MP -MF "$(DEPDIR)/libwfb_la-fbedge.Tpo" -c -o libwfb_la-fbedge.lo `test -f 'fbedge.c' || echo '$(srcdir)/'`fbedge.c; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/libwfb_la-fbedge.Tpo" "$(DEPDIR)/libwfb_la-fbedge.Plo"; else rm -f "$(DEPDIR)/libwfb_la-fbedge.Tpo"; exit 1; fi
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='fbedge.c' object='libwfb_la-fbedge.lo' libtool=yes @AMDEPBACKSLASH@
-@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
-@am__fastdepCC_FALSE@	$(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(libwfb_la_CFLAGS) $(CFLAGS) -c -o libwfb_la-fbedge.lo `test -f 'fbedge.c' || echo '$(srcdir)/'`fbedge.c
-
 mostlyclean-libtool:
 	-rm -f *.lo
 
diff --git a/hw/xprint/Makefile.in b/hw/xprint/Makefile.in
index 772e049..4865b5e 100644
--- a/hw/xprint/Makefile.in
+++ b/hw/xprint/Makefile.in
@@ -65,8 +65,9 @@ am_Xprt_OBJECTS = Xprt-attributes.$(OBJEXT) Xprt-AttrValid.$(OBJEXT) \
 	Xprt-dpmsstubs-wrapper.$(OBJEXT) Xprt-fbcmap_mi.$(OBJEXT)
 Xprt_OBJECTS = $(am_Xprt_OBJECTS)
 Xprt_DEPENDENCIES = ps/libps.la raster/libraster.la pcl/libpcl.la \
-	pcl-mono/libpcl.la ../../fb/libfb.la ../../render/librender.la \
-	../../mi/libmi.la ../../Xext/libXext.la
+	pcl-mono/libpcl.la $(top_builddir)/fb/libfb.la \
+	$(top_builddir)/render/librender.la \
+	$(top_builddir)/mi/libmi.la $(top_builddir)/Xext/libXext.la
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/depcomp
 am__depfiles_maybe = depfiles
@@ -594,9 +595,9 @@ Xprt_CFLAGS = @DIX_CFLAGS@ @XPRINT_CFLAGS@ \
 
 Xprt_LDFLAGS = -L$(top_srcdir)
 Xprt_LDADD = @XPRINT_LIBS@ ps/libps.la raster/libraster.la  \
-	pcl/libpcl.la pcl-mono/libpcl.la ../../fb/libfb.la \
-	../../render/librender.la ../../mi/libmi.la ../../Xext/libXext.la \
-	@FREETYPE_LIBS@
+	pcl/libpcl.la pcl-mono/libpcl.la $(top_builddir)/fb/libfb.la \
+	$(top_builddir)/render/librender.la $(top_builddir)/mi/libmi.la \
+	$(top_builddir)/Xext/libXext.la  @FREETYPE_LIBS@
 
 Xprt_SOURCES = \
 	attributes.c		\
diff --git a/randr/Makefile.in b/randr/Makefile.in
index a632e12..2099dcf 100644
--- a/randr/Makefile.in
+++ b/randr/Makefile.in
@@ -37,6 +37,7 @@ PRE_UNINSTALL = :
 POST_UNINSTALL = :
 build_triplet = @build@
 host_triplet = @host@
+@XINERAMA_TRUE@am__append_1 = ${XINERAMA_SRCS}
 subdir = randr
 DIST_COMMON = $(am__sdk_HEADERS_DIST) $(srcdir)/Makefile.am \
 	$(srcdir)/Makefile.in
@@ -57,9 +58,14 @@ CONFIG_HEADER = $(top_builddir)/include/do-not-use-config.h \
 CONFIG_CLEAN_FILES =
 LTLIBRARIES = $(noinst_LTLIBRARIES)
 librandr_la_LIBADD =
+am__librandr_la_SOURCES_DIST = mirandr.c randr.c randrstr.h rrcrtc.c \
+	rrdispatch.c rrinfo.c rrmode.c rroutput.c rrpointer.c \
+	rrproperty.c rrscreen.c rrsdispatch.c rrxinerama.c
+am__objects_1 = rrxinerama.lo
+@XINERAMA_TRUE@am__objects_2 = $(am__objects_1)
 am_librandr_la_OBJECTS = mirandr.lo randr.lo rrcrtc.lo rrdispatch.lo \
 	rrinfo.lo rrmode.lo rroutput.lo rrpointer.lo rrproperty.lo \
-	rrscreen.lo rrsdispatch.lo rrxinerama.lo
+	rrscreen.lo rrsdispatch.lo $(am__objects_2)
 librandr_la_OBJECTS = $(am_librandr_la_OBJECTS)
 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include -I$(top_builddir)/include
 depcomp = $(SHELL) $(top_srcdir)/depcomp
@@ -73,7 +79,7 @@ CCLD = $(CC)
 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
 	$(AM_LDFLAGS) $(LDFLAGS) -o $@
 SOURCES = $(librandr_la_SOURCES)
-DIST_SOURCES = $(librandr_la_SOURCES)
+DIST_SOURCES = $(am__librandr_la_SOURCES_DIST)
 am__sdk_HEADERS_DIST = randrstr.h
 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
 am__vpath_adj = case $$p in \
@@ -584,22 +590,11 @@ xglmoduledir = @xglmoduledir@
 xpconfigdir = @xpconfigdir@
 noinst_LTLIBRARIES = librandr.la
 AM_CFLAGS = $(DIX_CFLAGS)
+XINERAMA_SRCS = rrxinerama.c
 @XORG_TRUE@sdk_HEADERS = randrstr.h
-librandr_la_SOURCES = \
-	mirandr.c	\
-	randr.c		\
-	randrstr.h	\
-	rrcrtc.c	\
-	rrdispatch.c	\
-	rrinfo.c	\
-	rrmode.c	\
-	rroutput.c	\
-	rrpointer.c	\
-	rrproperty.c	\
-	rrscreen.c	\
-	rrsdispatch.c	\
-	rrxinerama.c
-
+librandr_la_SOURCES = mirandr.c randr.c randrstr.h rrcrtc.c \
+	rrdispatch.c rrinfo.c rrmode.c rroutput.c rrpointer.c \
+	rrproperty.c rrscreen.c rrsdispatch.c $(am__append_1)
 all: all-am
 
 .SUFFIXES:

commit f82bdb08ebf06cb44e07a3f4d5128703ee26e9ad
Author: Drew Parsons <dparsons@debian.org>
Date:   Wed May 30 02:13:36 2007 +1000

    Update Xprint build for pixman.
    
    Xprt links libfb, which now uses pixman.  Update configure.ac to
    require module $PIXMAN for XPRINT.
    Also, use $(top_builddir) to reference libfb.la and other local
    libraries, rather than using the relative reference ../..

diff --git a/configure.ac b/configure.ac
index 7ff712f..350245e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1600,7 +1600,7 @@ AC_MSG_CHECKING([whether to build Xprint DDX])
 AC_MSG_RESULT([$XPRINT])
 
 if test "x$XPRINT" = xyes; then
-	PKG_CHECK_MODULES([XPRINT], [printproto x11 xfont $XDMCP_MODULES xau])
+	PKG_CHECK_MODULES([XPRINT], [printproto x11 xfont $XDMCP_MODULES xau $PIXMAN])
 	XPRINT_EXTENSIONS="$XEXT_LIB $DBE_LIB $XTRAP_LIB $RECORD_LIB $RENDER_LIB $COMPOSITE_LIB $RANDR_LIB $XI_LIB $FIXES_LIB $DAMAGE_LIB $XI_LIB $GLX_LIBS"
 	XPRINT_LIBS="$DIX_LIB $CONFIG_LIB $XKB_LIB $XKB_STUB_LIB $XPRINT_EXTENSIONS $MI_LIB $MIEXT_DAMAGE_LIB $CWRAP_LIB $OS_LIB $LIBS $XPRINT_LIBS"
 	AC_SUBST([XPRINT_CFLAGS])
diff --git a/hw/xprint/Makefile.am b/hw/xprint/Makefile.am
index 45168b1..dc8764a 100644
--- a/hw/xprint/Makefile.am
+++ b/hw/xprint/Makefile.am
@@ -10,9 +10,9 @@ Xprt_CFLAGS = @DIX_CFLAGS@ @XPRINT_CFLAGS@ \
 
 Xprt_LDFLAGS = -L$(top_srcdir)
 Xprt_LDADD = @XPRINT_LIBS@ ps/libps.la raster/libraster.la  \
-	pcl/libpcl.la pcl-mono/libpcl.la ../../fb/libfb.la \
-	../../render/librender.la ../../mi/libmi.la ../../Xext/libXext.la \
-	@FREETYPE_LIBS@
+	pcl/libpcl.la pcl-mono/libpcl.la $(top_builddir)/fb/libfb.la \
+	$(top_builddir)/render/librender.la $(top_builddir)/mi/libmi.la \
+	$(top_builddir)/Xext/libXext.la  @FREETYPE_LIBS@
 
 miinitext-wrapper.c:
 	echo "#include \"$(top_srcdir)/mi/miinitext.c\"" >> $@



Reply to: